﻿using Xunit;
using Samples.BLL;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Moq;
using Xunit.Abstractions;

namespace Samples.BLL.Tests
{
    public class UserServiceTests
    {
        private readonly ITestOutputHelper _output;

        public UserServiceTests(ITestOutputHelper output)
        {
            _output = output;
        }

        [Fact(DisplayName = "始终正确")]
        public void Test()
        {
            Assert.True(1 == 1);
        }

        [Fact(DisplayName = "模拟--存在")]
        public void ExistTest()
        {
            var mock = new Mock<IUserService>();
            mock.Setup(w => w.Exists(12321)).Returns(true);
            Assert.True(mock.Object.Exists(12321));
        }

        [Fact(DisplayName = "模拟返回")]
        public void GetTest()
        {
            var mock = new Mock<IUserService>();
            mock.Setup(w => w.Get(12321)).Returns(new UserIdentity
            {
                UserId = 1,
                Name = "MockName"
            });
            Assert.Equal(1, mock.Object.Get(12321).UserId);
        }
    }
}