﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Microsoft.EntityFrameworkCore;

namespace Samples.DLL
{
    public class TestDbContext : DbContext
    {
        public TestDbContext(DbContextOptions options) : base(options)
        {

        }
        public DbSet<ExcelData> ExcelData { get; set; }

        protected override void OnModelCreating(ModelBuilder modelBuilder)
        {
            modelBuilder.Entity<ExcelData>(entity =>
            {
                entity.ToTable("alt_allot");

                entity.HasComment("分配方案");

                entity.Property(e => e.Id).HasColumnType("bigint(20)").ValueGeneratedNever().HasComment("唯一标识");

                entity.Property(e => e.主诊断编码).HasMaxLength(50).HasComment("主诊断编码");
                entity.Property(e => e.主诊断名称).HasMaxLength(50).HasComment("主诊断名称");
                entity.Property(e => e.手术编码).HasMaxLength(50).HasComment("手术编码");
                entity.Property(e => e.手术名称).HasMaxLength(50).HasComment("手术名称");
                entity.Property(e => e.实际入组).HasMaxLength(50).HasComment("实际入组");
                entity.Property(e => e.期望入组).HasMaxLength(50).HasComment("期望入组");
            });

            base.OnModelCreating(modelBuilder);
        }
    }

    public class ExcelData
    {
        public long Id { get; set; }
        public string 主诊断编码 { get; set; }
        public string 主诊断名称 { get; set; }
        public string 手术编码 { get; set; }
        public string 手术名称 { get; set; }
        public string 实际入组 { get; set; }
        public string 期望入组 { get; set; }
    }
}
